Bug 737309 - notifications of connection succeeded does not play if device is plugged after boot
Summary: notifications of connection succeeded does not play if device is plugged afte...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 15
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-11 00:14 UTC by fer
Modified: 2012-08-07 16:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:04:23 UTC


Attachments (Terms of Use)

Description fer 2011-09-11 00:14:52 UTC
Hi !

I don't know if it is a kdenotify4 bug or a NetworkManagement bug,
but the notifications plays different, depending on devices
plugged during boot.

Here are the facts :

DESCRIPTION OF PROBLEM
=====================================

In System Settings->Apss & System Notifications

I choose to play different sounds, with envent source = Network Management
and these events :


N1 - Network Interface Attached
N2 - Network Interface Removed

N3 - Network Connection Succeeded
N4 - Network Connection Failed



CASE A - Boot with a usb modem unplugged
----------------------------------------

After the boot, N1 is played when i attach the usb modem
but N3 is not played when i connect.



CASE B - Boot with a usb modem unplugged
----------------------------------------

In this case, N3 is played when i connect.
Disconnecting and unplugging usb modem, forces N2 to play.
Replugging the modem makes N1 play.
Now, it is like i am in the CASE A. 
I'm no more notifyed by N3 when i connect. 




How reproducible : ever

Steps to reproduce :

1) Just follow the guidelines in the DESCRIPTION OF PROBLEM



Actual results:

Described.

Expected results:

That the notification of "Connection Suceeded" is played
in all cases.

Comment 1 fer 2011-09-11 08:42:39 UTC
CORRECTION :

CASE B - Boot with a usb modem PLUGGED

Comment 2 fer 2012-03-11 03:36:48 UTC
Hy guys !

Is there someone reading things in bugzila ?

The response time is too long.

Back in time, we, linux users, was saying to MS users :

- But a bug is detected and corrected at speed of light in Linux. In Windows,
  you must wait a new service pack, bla bla bla.

I understand that "time changes".

Now we have "high severity" bugs, "low severity" ones, and a dozen of categories
between "high" and "low".

But, to the bug itself, it doesn't matter. It will be always a bug.

And the "low severity" ones goes living in one distribution, and in the next,
and next.

The result is :

When a user see a "low" bug here, other there, other there, and other there, the
complete environment appears to be immature.

I have other question.

How can i "correct" the bug myself ?

I don't have any experience doing these. Do i need a new machine ? How to 
set up it ? What do i need ?

Good luck !

For all of you.

Comment 3 Fedora End Of Life 2012-08-07 16:04:25 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.